#
# spec file for package nulloy
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nulloy
Version:        0.8.2
Release:        lp150.1.35
Summary:        Music player with a Waveform Progress Bar
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Players
Url:            http://nulloy.com
Source:         https://github.com/nulloy/nulloy/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:         fix-library-directory.patch
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt4-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  zip
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(phonon)
BuildRequires:  pkgconfig(taglib)
Recommends:     %{name}-gstreamer
Recommends:     %{name}-taglib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Nulloy is a opensource, simple and clean music player with a Waveform
Progressbar. It is written in C++ using QT.

%package taglib
Summary:        Taglib plugin for %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description taglib
This package contains the taglib plugin for %{name} - a music player
with a Waveform Progressbar.

%package gstreamer
Summary:        Gstreamer plugin for %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}
Recommends:     gstreamer-plugins-good

%description gstreamer
This package contains the gstreamer playback plugin for %{name} - a lightweight
music player with a Waveform Progressbar.

%package phonon
Summary:        Phonon plugin for %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description phonon
This package contains the phonon playback plugin for %{name} - a lightweight
music player with a Waveform Progressbar.

%package vlc
Summary:        VLC plugin for %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description vlc
This package contains the vlc playback plugin for %{name} - a lightweight
music player with a Waveform Progressbar.

%prep
%setup -q
%patch0 -p1

%build
# This is not an autotools configure
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--no-update-check \
	--taglib \
	--phonon \
	--vlc \
	--prefix %{buildroot}%{_prefix} \
	--libdir "%{_lib}"

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file %{name}

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE.GPL3 THANKS
%{_bindir}/nulloy
%{_datadir}/applications/nulloy.desktop
%{_datadir}/icons/hicolor/*/apps/nulloy.png
%{_datadir}/nulloy
%dir %{_libdir}/nulloy
%dir %{_libdir}/nulloy/plugins

%files taglib
%defattr(-,root,root)
%{_libdir}/nulloy/plugins/libplugin_taglib.so

%files gstreamer
%defattr(-,root,root)
%{_libdir}/nulloy/plugins/libplugin_gstreamer.so

%files phonon
%defattr(-,root,root)
%{_libdir}/nulloy/plugins/libplugin_phonon.so

%files vlc
%defattr(-,root,root)
%{_libdir}/nulloy/plugins/libplugin_vlc.so

%changelog
* Fri Apr 15 2016 rpm@fthiessen.de
- Updated to 0.8.2:
  * Chinese translation
  * Fix: tags encoding doesn't apply to playlist
  * Other minor bug fixes and improvements
* Sat Jan 30 2016 rpm@fthiessen.de
- Updated to 0.8.1:
  * Fixed phonon plugin
  * Added Spanish, Ukrainian and Lithuanian translations
  * Setting tags encoding
  * Fixed vlc plugin
  * Some other fixes and improvements
- Build phonon plugin
- Removed upstream fixed fix-upstream-desktop.patch,
  fix-upstream-gstreamer-encoding-error.patch and
  fix-upstream-handle-flags.patch
- Renamed fix-libsuffix.patch to fix-library-directory.patch
  and rebased it.
* Thu Nov  5 2015 rpm@fthiessen.de
- Added fix-libsuffix.patch to install plugins in lib64 on x86_64.
* Wed Oct 28 2015 rpm@fthiessen.de
- Split taglib and gstreamer plugins into subpackages
* Tue Oct 27 2015 rpm@fthiessen.de
- Wrote own spec file, replaced obs-service.
- Update to version 0.8
  * Added fix-upstream-desktop.patch to get rid of warning about
    invalid tags in .desktop file.
  * Added fix-upstream-gstreamer-encoding-error.patch
  * Added fix-upstream-handle-flags.patch to make qmake recognize
    optimization flags, so we can pass out RPM_OPT_FLAGS to it.
  * Added fix-upstream-gstreamer-encoding-error.patch:
    Fixes encoding with gstreamer, fixed upstream in git a2fc81a
    Can be removed next upstream release.
